Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.MaskMode

    java.lang.Object
      java.lang.Enum<Qt.MaskMode>
          com.trolltech.qt.core.Qt.MaskMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.MaskMode>

Enclosing interface:
  Qt

    public static enum Qt.MaskMode

extends java.lang.Enum<Qt.MaskMode>
implements QtEnumerator

This enum specifies the behavior of the QPixmap.:createMaskFromColor() and QImage::createMaskFromColor() functions.

Enum Constant Summary
`MaskInColor` Creates a mask where all pixels matching the given color are opaque.
`MaskOutColor` Creates a mask where all pixels matching the given color are transparent.

Method Summary
`static Qt.MaskMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.MaskMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.MaskMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MaskInColor

    public static final Qt.MaskMode MaskInColor

  Creates a mask where all pixels matching the given color are opaque.

### MaskOutColor

    public static final Qt.MaskMode MaskOutColor

  Creates a mask where all pixels matching the given color are transparent.

Method Detail

### values

    public static final Qt.MaskMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.MaskMode c : Qt.MaskMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.MaskMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.MaskMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD